<?xml version="1.0" encoding="Shift-jis"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml">

<xsl:template name="item">
  <xsl:param name="log_type"/>
  <xsl:param name="link"/>
  <xsl:param name="title"/>
  <xsl:param name="description"/>

  <li class="item">
    <div class="itemtitle">
      <span class="{$log_type}">
        <xsl:value-of select="$log_type"/>
      </span>
      <a target="_blank" href="{$link}">
        <xsl:value-of select="$title"/>
      </a>
      
    </div>
      <xsl:if test="$description != ''">
        <p class="itemdescription">
         <xsl:value-of select="$description"/>
        </p>
      </xsl:if>
</li>
</xsl:template>

</xsl:stylesheet>
