<?xml version="1.0" encoding="Shift-jis"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml">

<!-- {ꃊN΍  -->
<xsl:output indent="yes" method="xml" />
<xsl:include href="head_tag.xsl"/>

<xsl:template match="/">
  <xsl:apply-templates />
</xsl:template>

<xsl:template name="ChangeScript">
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <script language="JavaScript">
    <xsl:comment>
      <![CDATA[
function Change(){
  document.forms[0].submit.click();
}
      ]]>
    </xsl:comment>
  </script>
</xsl:template>

<xsl:template match="group">
<html xml:lang="ja" lang="ja">
  <head>
    <xsl:call-template name="head_tag"/> 
    <title>RSSO[v</title>
    <xsl:call-template name="ChangeScript" />
  </head>
  <body>
    <form method="GET" action="gp.html">
      <select onChange="Change();" name="u">
        <option value="{selfile/@file}">
          [<xsl:value-of select="opml/head/title"/>]
        </option>
        <xsl:apply-templates select="items/item" mode="option"/>
      </select>
      <input type="hidden" name="ue" value="on"/>
      <input type="submit" name="submit" value="Go!"/>
    </form>
    <div class="opml">
      <h2 class="opmltitle">
        <a class="renew" title="SčXV" target="list"
          href="ch.html?u={selfile/@file}/&amp;sel=new&amp;d=off&amp;r=on"></a>
       <a title="{opml/head/title}" target="list"
         href="ch.html?u={selfile/@file}/&amp;sel=today&amp;d=off">
         <xsl:value-of select="opml/head/title"/>
       </a>
      </h2>
      <ul class="opmlitem">
        <xsl:apply-templates select="opml/body/outline"/>
      </ul>
    </div>
  </body>
</html>
</xsl:template>

<xsl:template match="item" mode="option">
  <option value="{@file}/">
    <xsl:value-of select="@title"/>
  </option>
</xsl:template>

<xsl:template match="outline">
<xsl:choose>
<xsl:when test="@type = 'rss'">
  <li class="opmlitemtitle">
    <a class="renew" title="XV"
     target="list" href="rss.xml?u={@xmlUrl}/&amp;r=on"></a>
    <xsl:choose>
    <xsl:when test="@title">
      <a title="{@title}" target="list" href="rss.xml?u={@xmlUrl}/">
        <xsl:value-of select="@title"/>
      </a>
    </xsl:when>
    <xsl:otherwise>
      <a title="{@text}" target="list" href="rss.xml?u={@xmlUrl}/">
        <xsl:value-of select="@text"/>
      </a>
    </xsl:otherwise>
    </xsl:choose>
  </li>
</xsl:when>
<xsl:otherwise>
  <xsl:apply-templates select="outline"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>
