<?xml version="1.0" encoding="Shift-jis"?>
<xsl:stylesheet version="1.0"
  xmlns:rg="http://RssGate/rg"
  xmlns:rss="http://purl.org/rss/1.0/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml">

<xsl:output method="xml" indent="yes"/>

<xsl:include href="rss_body.xsl"/>

<xsl:template match="/">
  <!-- RSS 1.0  --><xsl:apply-templates select="rdf:RDF"/>
  <!-- RSS 0.91 (2.0) --><xsl:apply-templates select="rss"/>
</xsl:template>

<!--  RSS 1.0  -->
<xsl:template match="rdf:RDF">
  <xsl:if test="rss:item">
    <xsl:call-template name="v100body"/>
    <hr/>
  </xsl:if>
</xsl:template>

<!-- ++++++++++ RSS 2.0 ++++++++++ -->
<xsl:template match="rss[@version='2.0']">
  <xsl:apply-templates select="channel" mode="v091"/>
</xsl:template>

<!-- ++++++++++ RSS 0.91 ++++++++++ -->
<xsl:template match="rss[@version='0.91']">
  <xsl:apply-templates select="channel" mode="v091"/>
</xsl:template>

<!-- ++++++++++ RSS 0.92 ++++++++++ -->
<xsl:template match="rss[@version='0.92']">
  <xsl:apply-templates select="channel" mode="v091"/>
</xsl:template>

<xsl:template match="channel" mode="v091">
  <xsl:if test="item" >
    <xsl:call-template name="v091body"/>
    <hr/>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
