<?xml version="1.0" encoding="Shift-jis"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml">

<xsl:template name="channel">
  <xsl:param name="image_url"/>
  <xsl:param name="image_title"/>
  <xsl:param name="rg_link"/>
  <xsl:param name="link"/>
  <xsl:param name="title"/>
  <xsl:param name="description"/>
  <xsl:param name="dc_date"/>
  <xsl:param name="sy_updatePeriod"/>
  <xsl:param name="sy_updateFrequency"/>
  <xsl:param name="sy_updateBase"/>
  
  <xsl:if test="$image_url != ''">
    <img src="{$image_url}" alt="{$image_title}"/>
  </xsl:if>
  <h2 class="channeltitle">
    <a target="_blank" href="rss.xml?u={$rg_link}/"
     title="VEBhEŊJ"></a>
    <a target="_blank" href="{$link}">
      <xsl:value-of select="$title"/>
    </a>
    <a target="_blank" href="{$rg_link}">
    <img class="xmlgif" src="xml.gif" alt="xml.gif"/></a>
  </h2>
  <p class="channeldescription">
    <xsl:value-of select="$description"/>
    <xsl:if test="$dc_date != ''">
    (<xsl:value-of select="$dc_date" />)
    </xsl:if>
    <xsl:if  test="$sy_updatePeriod != ''">
    <xsl:value-of select="$sy_updatePeriod" />
    -<xsl:value-of select="$sy_updateFrequency" />
    XV:<xsl:value-of select="$sy_updateBase" />
    </xsl:if>
  </p>
</xsl:template>

</xsl:stylesheet>
